Get workspace invites
Retrieve a paginated list of invites for the current workspace.
This endpoint allows you to:
- List all pending and active invites
- Paginate through large invite lists
Use cases:
- Managing workspace invitations
- Displaying invite status in UI
- Auditing workspace access
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Query Parameters
limit?integer
The number of items to return per page.
Range
1 <= value <= 100offset?integer
The number of items to skip before starting to collect the result set.
Range
0 <= value <= 9007199254740991Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.excalidraw.com/api/v1/workspaces/invites"{
"limit": 0,
"offset": 0,
"hasNextPage": true,
"data": [
{
"id": null,
"created": "string",
"type": "link",
"status": "pending",
"email": "string",
"role": "member",
"resolvedAt": "string",
"redeemedBy": "string",
"maxUses": 9007199254740991,
"uses": 0,
"restrictedDomains": [
"string"
]
}
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "string"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}